<?php if(!defined('PLX_ROOT')) exit;
/**
 * Plugin plxSuperContact
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Initialised by Mathieu Ribot @ MontrezVous.net
 * v1.1.1 by Thomas Ingles @ sudwebdesign.free.fr
 * Licence GNU_GPL
 **/
$pluginName = get_class($plxPlugin);
if(isset($_GET['ajax']) AND $_GET['ajax']==='sendAdminMail'){#TEST Transports : SEND Admin MAIL : appellé en asynchrone par ajax
	ob_end_clean();//ob_clean();
	include_once(dirname(__FILE__).'/lib/class.plx.supermail.php');
	$supermail = new supermail();
	$subject = $plxPlugin->getLang('L_SC_ADMIN_MAIL_SUBJ') . $plxPlugin->getLang('L_SC_TAB06') . ' ' . $pluginName;
	$text = $plxPlugin->getLang('L_SC_ADMIN_MAIL_TEST') . PHP_EOL.PHP_EOL. $plxPlugin->getLang('L_SC_ADMIN_MAIL_TEXT') . PHP_EOL.PHP_EOL. $plxAdmin->racine . ' : ' . $pluginName;

	if($supermail->send_admin_mail($subject, $text))#On envoit le mail
		exit('<p class="alert green">'.$subject . ' : ' . $plxPlugin->getLang('L_SC_SENDED').'</p>');
	$error = '';
	if(isset($_SESSION['error'])){
		$error = $_SESSION['error'];
		unset($_SESSION['error']);
	}
	echo '<p class="alert red">'.$plxPlugin->getLang('L_SC_ERR_SENDMAIL').' ! '.$error.'</p>';
	exit;
}#fi send_admin_mail ajax

if(isset($_GET['ajax']) AND $_GET['ajax']==='ckeckUpdate'){#Verif MAJ appellé en asynchrone par ajax
	ob_end_clean();//ob_clean();
	$infoPlugin = $plxPlugin->supercontact->UpdatePlugin($pluginName);
?>
	<div id="update">
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>
<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_warning.gif" alt=""></a></p>
<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp;<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_ok.gif" alt=""></p>
<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?><p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_download.gif" alt=""></a></p>
<?php } elseif ($infoPlugin['status'] == 3) { ?>
			<p><span class="color"><?php $plxPlugin->lang('L_VP_UNATTENDED_VERSION'); ?></span>.</p>
			<p><a href="http://dpfpic.com" target="blank" title="<?php $plxPlugin->lang('L_VP_UNATTENDED_VERSION_TITLE'); ?>"><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_unattended.gif" alt="<?php $plxPlugin->lang('L_VP_UNATTENDED_VERSION_TITLE'); ?>"></a></p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_download.gif" alt=""></a></p>
<?php } elseif ($infoPlugin['status'] == 4) {?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>
	</div>
<?php
	exit;
}#fi ckeckUpdate ajax
#go to real config
include(dirname(__FILE__).'/lib/config.functions.inc.php');# dkim + checkDomain
# Control du token du formulaire
plxToken::validateFormToken($_POST);
$lang = $plxAdmin->aConf['default_lang'];
#DKIM
$privatekeyfile=PLX_ROOT.PLX_CONFIG_PATH.'plugins/'.$pluginName.'_dkim_private';
$publickeyfile=PLX_ROOT.PLX_CONFIG_PATH.'plugins/'.$pluginName.'_dkim_public';

if(!empty($_POST)) {
	//On récupère la configuration du formulaire remplis par l'administrateur
	//et on met le fichier XML à jour

#TRANSPORTS + SMTP
#note : 	function dkim(&$plxPlugin, $domain='example.com', $selector='phpmailer', $privatekeyfile='dkim_private', $publickeyfile='dkim_public', $type='text', $keep=true, $refresh=false)
#DKIM
	if(!!$_POST['use_dkim'] AND !!$_POST['dkim_refresh']){//update posts dkim_private & dkim_passphrase & plxMsg + redir + exit
		if(!empty($_POST['dkim_domain']) AND !empty($_POST['dkim_selector'])){
			$redir = false;
			switch($_POST['dkim_refresh']){//del dkim_files
				case 'del':
					$_SESSION['dkim_refresh'] = dkim($plxPlugin,$_POST['dkim_domain'],$_POST['dkim_selector'],$privatekeyfile,$publickeyfile,'text',true,'del');#saveParams
					$redir = true;
					break;
				case 'dns':
					$_SESSION['dkim_refresh'] = checkDomain($_POST['dkim_domain']);#check only
					$redir = true;
					break;
				default:
					$_SESSION['dkim_refresh'] = dkim($plxPlugin,$_POST['dkim_domain'],$_POST['dkim_selector'],$privatekeyfile,$publickeyfile,'html',true,true);#saveParams
					break;
			}
			plxMsg::Info($_SESSION['dkim_refresh']);
			if($redir){
				header('Location:'.$plxAdmin->racine.$plxAdmin->path_url);
				exit;
			}
		}
	}
	$plxPlugin->setParam('use_dkim', $_POST['use_dkim'], 'numeric');
	$plxPlugin->setParam('dkim_domain', $_POST['dkim_domain'], 'string');
	$plxPlugin->setParam('dkim_private', $_POST['dkim_private'], 'string');
	$plxPlugin->setParam('dkim_selector', $_POST['dkim_selector'], 'string');
	$plxPlugin->setParam('dkim_passphrase', $_POST['dkim_passphrase'], 'string');
	$plxPlugin->setParam('dkim_extraheaders', $_POST['dkim_extraheaders'], 'string');

	$plxPlugin->setParam('mnuDisplay', $_POST['mnuDisplay'], 'numeric');
	$plxPlugin->setParam('mnuName_'.$lang, $_POST['mnuName'], 'string');
	$plxPlugin->setParam('mnuPos', $_POST['mnuPos'], 'numeric');
	$plxPlugin->setParam('mnuText_'.$lang, $_POST['content'], 'string');
	$plxPlugin->setParam('email', $_POST['email'], 'string');
	$plxPlugin->setParam('email_cc', $_POST['email_cc'], 'string');
	$plxPlugin->setParam('email_bcc', $_POST['email_bcc'], 'string');
	$plxPlugin->setParam('subject_'.$lang, $_POST['subject'], 'string');
	$plxPlugin->setParam('thankyou_'.$lang, $_POST['thankyou'], 'string');
	$plxPlugin->setParam('template', $_POST['template'], 'string');
	$plxPlugin->setParam('captcha', $_POST['captcha'], 'numeric');
	$plxPlugin->setParam('label', $_POST['label'], 'numeric');
	$plxPlugin->setParam('placeholder', $_POST['placeholder'], 'numeric');
	$plxPlugin->setParam('debug_mailer', $_POST['debug_mailer'], 'string');
	$plxPlugin->setParam('use_smtp', $_POST['use_smtp'], 'numeric');
	$plxPlugin->setParam('use_release', $_POST['use_release'], 'numeric');
	$plxPlugin->setParam('smtp_server', $_POST['smtp_server'], 'string');
	$plxPlugin->setParam('smtp_port', $_POST['smtp_port'], 'numeric');
	$plxPlugin->setParam('smtp_encryption', $_POST['smtp_encryption'], 'string');
	$plxPlugin->setParam('smtp_auth', $_POST['smtp_auth'], 'numeric');
	$plxPlugin->setParam('smtp_username', $_POST['smtp_username'], 'string');
	$plxPlugin->setParam('smtp_username', $_POST['smtp_username'], 'string');
	$plxPlugin->setParam('smtp_password', $_POST['smtp_password'], 'string');
	$plxPlugin->setParam('use_sendmail', $_POST['use_sendmail'], 'numeric');
	$plxPlugin->setParam('use_phpmail', $_POST['use_phpmail'], 'numeric');

	$plxPlugin->setParam('telephone', $_POST['telephone'], 'numeric');
	($plxPlugin->getParam('telephone') > 0) ? $plxPlugin->setParam('tel_obligatoire', $_POST['tel_obligatoire'], 'numeric') : $plxPlugin->setParam('tel_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('adresse', $_POST['adresse'], 'numeric');
	($plxPlugin->getParam('adresse') > 0) ? $plxPlugin->setParam('adrs_obligatoire', $_POST['adrs_obligatoire'], 'numeric') : $plxPlugin->setParam('adrs_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('entreprise', $_POST['entreprise'], 'numeric');
	($plxPlugin->getParam('entreprise') > 0) ? $plxPlugin->setParam('entp_obligatoire', $_POST['entp_obligatoire'], 'numeric') : $plxPlugin->setParam('entp_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('fax', $_POST['fax'], 'numeric');
	($plxPlugin->getParam('fax') > 0) ? $plxPlugin->setParam('fax_obligatoire', $_POST['fax_obligatoire'], 'numeric') : $plxPlugin->setParam('fax_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('quest', $_POST['quest'], 'numeric');
	$plxPlugin->setParam('question_'.$lang, $_POST['question'], 'string');
	($plxPlugin->getParam('quest') > 0) ? $plxPlugin->setParam('question_obligatoire', $_POST['question_obligatoire'], 'numeric') : $plxPlugin->setParam('question_obligatoire', 0, 'numeric');
	($plxPlugin->getParam('quest') > 0) ? $plxPlugin->setParam('repons', $_POST['repons'], 'numeric') : $plxPlugin->setParam('repons', 0, 'numeric');
	$plxPlugin->setParam('reponse_'.$lang, $_POST['reponse'], 'string');

	$plxPlugin->setParam('quest_x', $_POST['quest_x'], 'numeric');
	$plxPlugin->setParam('question_x_'.$lang, $_POST['question_x'], 'string');
	($plxPlugin->getParam('quest_x') > 0) ? $plxPlugin->setParam('question_obligatoire_x', $_POST['question_obligatoire_x'], 'numeric') : $plxPlugin->setParam('question_obligatoire_x', 0, 'numeric');
	($plxPlugin->getParam('quest_x') > 0) ? $plxPlugin->setParam('repons_x', $_POST['repons_x'], 'numeric') : $plxPlugin->setParam('repons_x', 0, 'numeric');
	$plxPlugin->setParam('reponse_x_'.$lang, $_POST['reponse_x'], 'string');

	$plxPlugin->setParam('quest_y', $_POST['quest_y'], 'numeric');
	$plxPlugin->setParam('question_y_'.$lang, $_POST['question_y'], 'string');
	($plxPlugin->getParam('quest_y') > 0) ? $plxPlugin->setParam('question_obligatoire_y', $_POST['question_obligatoire_y'], 'numeric') : $plxPlugin->setParam('question_obligatoire_y', 0, 'numeric');
	($plxPlugin->getParam('quest_y') > 0) ? $plxPlugin->setParam('repons_y', $_POST['repons_y'], 'numeric') : $plxPlugin->setParam('repons_y', 0, 'numeric');
	$plxPlugin->setParam('reponse_y_'.$lang, $_POST['reponse_y'], 'string');

	$plxPlugin->setParam('quest_z', $_POST['quest_z'], 'numeric');
	$plxPlugin->setParam('question_z_'.$lang, $_POST['question_z'], 'string');
	($plxPlugin->getParam('quest_z') > 0) ? $plxPlugin->setParam('question_obligatoire_z', $_POST['question_obligatoire_z'], 'numeric') : $plxPlugin->setParam('question_obligatoire_z', 0, 'numeric');
	($plxPlugin->getParam('quest_z') > 0) ? $plxPlugin->setParam('repons_z', $_POST['repons_z'], 'numeric') : $plxPlugin->setParam('repons_z', 0, 'numeric');
	$plxPlugin->setParam('reponse_z_'.$lang, $_POST['reponse_z'], 'string');

	$plxPlugin->setParam('motif', $_POST['motif'], 'numeric');
	($plxPlugin->getParam('motif') > 0) ? $plxPlugin->setParam('motif_obligatoire', $_POST['motif_obligatoire'], 'numeric') : $plxPlugin->setParam('motif_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('sexe', $_POST['sexe'], 'numeric');
	($plxPlugin->getParam('sexe') > 0) ? $plxPlugin->setParam('sexe_obligatoire', $_POST['sexe_obligatoire'], 'numeric') : $plxPlugin->setParam('sexe_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('prenom', $_POST['prenom'], 'numeric');
	($plxPlugin->getParam('prenom') > 0) ? $plxPlugin->setParam('prenom_obligatoire', $_POST['prenom_obligatoire'], 'numeric') : $plxPlugin->setParam('prenom_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('site', $_POST['site'], 'numeric');
	($plxPlugin->getParam('site') > 0) ? $plxPlugin->setParam('site_obligatoire', $_POST['site_obligatoire'], 'numeric') : $plxPlugin->setParam('site_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('skype', $_POST['skype'], 'numeric');
	($plxPlugin->getParam('skype') > 0) ? $plxPlugin->setParam('skype_obligatoire', $_POST['skype_obligatoire'], 'numeric') : $plxPlugin->setParam('skype_obligatoire', 0, 'numeric');

	$plxPlugin->setParam('nom_site', $_POST['nom_site'], 'numeric');
	$plxPlugin->setParam('url_site', $_POST['url_site'], 'numeric');
	$plxPlugin->setParam('ip', $_POST['ip'], 'numeric');
	$plxPlugin->setParam('date', $_POST['date'], 'numeric');
	$plxPlugin->setParam('format_date', $_POST['format_date'], 'numeric');

	$plxPlugin->saveParams();
	header('Location:'.$plxAdmin->racine.$plxAdmin->path_url);
	exit;
}

//On récupère la configuration du formulaire contenu dans le XML
$mnuDisplay = $plxPlugin->getParam('mnuDisplay')=='' ? '1' : $plxPlugin->getParam('mnuDisplay');
$mnuName = $plxPlugin->getParam('mnuName_'.$lang)=='' ? $plxPlugin->getLang('L_SC_DEFAULT_MENU_NAME') : $plxPlugin->getParam('mnuName_'.$lang);
$mnuPos = $plxPlugin->getParam('mnuPos')=='' ? '10' : $plxPlugin->getParam('mnuPos');
$mnuText = $plxPlugin->getParam('mnuText_'.$lang)=='' ? '' : $plxPlugin->getParam('mnuText_'.$lang);
$label = $plxPlugin->getParam('label')=='' ? 1 : $plxPlugin->getParam('label');
$placeholder = $plxPlugin->getParam('placeholder')=='' ? '1' : $plxPlugin->getParam('placeholder');
$email = $plxPlugin->getParam('email')=='' ? $plxAdmin->aUsers['001']['email'] : $plxPlugin->getParam('email');
$email_cc = $plxPlugin->getParam('email_cc')=='' ? '' : $plxPlugin->getParam('email_cc');
$email_bcc = $plxPlugin->getParam('email_bcc')=='' ? '' : $plxPlugin->getParam('email_bcc');
$subject = $plxPlugin->getParam('subject_'.$lang)=='' ? $plxPlugin->getLang('L_SC_DEFAULT_OBJECT') : $plxPlugin->getParam('subject_'.$lang);
$thankyou = $plxPlugin->getParam('thankyou_'.$lang)=='' ? $plxPlugin->getLang('L_SC_DEFAULT_THANKYOU') : $plxPlugin->getParam('thankyou_'.$lang);
$template = $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');
$captcha = $plxPlugin->getParam('captcha')=='' ? '1' : $plxPlugin->getParam('captcha');

#TRANSPORTS + SMTP
$debug_mailer = $plxPlugin->getParam('debug_mailer')=='' ? '0': $plxPlugin->getParam('debug_mailer');
$use_smtp = $plxPlugin->getParam('use_smtp')=='' ? '0' : $plxPlugin->getParam('use_smtp');
$use_release = $plxPlugin->getParam('use_release')=='' ? '5' : $plxPlugin->getParam('use_release');
$smtp_server = $plxPlugin->getParam('smtp_server')=='' ? '' : $plxPlugin->getParam('smtp_server');
$smtp_port = $plxPlugin->getParam('smtp_port')=='' ? '' : (int)$plxPlugin->getParam('smtp_port');
$smtp_encryption = $plxPlugin->getParam('smtp_encryption')=='' ? '' : $plxPlugin->getParam('smtp_encryption');
$smtp_auth = $plxPlugin->getParam('smtp_auth')=='' ? '' : $plxPlugin->getParam('smtp_auth');
$smtp_username = $plxPlugin->getParam('smtp_username')=='' ? '' : $plxPlugin->getParam('smtp_username');
$smtp_password = $plxPlugin->getParam('smtp_password')=='' ? '' : $plxPlugin->getParam('smtp_password');
$use_sendmail = $plxPlugin->getParam('use_sendmail')=='' ? '0' : $plxPlugin->getParam('use_sendmail');
$use_phpmail = $plxPlugin->getParam('use_phpmail')=='' ? '1' : $plxPlugin->getParam('use_phpmail');
#DKIM
$use_dkim = $plxPlugin->getParam('use_dkim')=='' ? '0' : $plxPlugin->getParam('use_dkim');
$dkim_domain = $plxPlugin->getParam('dkim_domain')=='' ? '' : $plxPlugin->getParam('dkim_domain');#'example.com';$plxPlugin->racine
$dkim_private = $plxPlugin->getParam('dkim_private')=='' ? '' : $plxPlugin->getParam('dkim_private');#'/path/to/my/private.key';
$dkim_selector = $plxPlugin->getParam('dkim_selector')=='' ? 'default' : $plxPlugin->getParam('dkim_selector');#'phpmailer';
$dkim_passphrase = $plxPlugin->getParam('dkim_passphrase')=='' ? '' : $plxPlugin->getParam('dkim_passphrase');#'';
$dkim_extraheaders = $plxPlugin->getParam('dkim_extraheaders')=='' ? '' : $plxPlugin->getParam('dkim_extraheaders');#'';

$telephone = ($plxPlugin->getParam('telephone') > 0) ? ' checked' : '';
$tel_obligatoire = ($plxPlugin->getParam('tel_obligatoire') > 0) ? ' checked' : '';

$adresse = ($plxPlugin->getParam('adresse') > 0) ? ' checked' : '';
$adrs_obligatoire = ($plxPlugin->getParam('adrs_obligatoire') > 0) ? ' checked' : '';

$entreprise = ($plxPlugin->getParam('entreprise') > 0) ? ' checked' : '';
$entp_obligatoire = ($plxPlugin->getParam('entp_obligatoire') > 0) ? ' checked' : '';

$fax = ($plxPlugin->getParam('fax') > 0) ? ' checked' : '';
$fax_obligatoire = ($plxPlugin->getParam('fax_obligatoire') > 0) ? ' checked' : '';

$quest = ($plxPlugin->getParam('quest') > 0) ? ' checked' : '';
$question_obligatoire = ($plxPlugin->getParam('question_obligatoire') > 0) ? ' checked' : '';
$question = $plxPlugin->getParam('question_'.$lang)=='' ? '' : $plxPlugin->getParam('question_'.$lang);
$repons = ($plxPlugin->getParam('repons') > 0) ? ' checked' : '';
$reponse = $plxPlugin->getParam('reponse_'.$lang)=='' ? '' : $plxPlugin->getParam('reponse_'.$lang);

$quest_x = ($plxPlugin->getParam('quest_x') > 0) ? ' checked' : '';
$question_obligatoire_x = ($plxPlugin->getParam('question_obligatoire_x') > 0) ? ' checked' : '';
$question_x = $plxPlugin->getParam('question_x_'.$lang)=='' ? '' : $plxPlugin->getParam('question_x_'.$lang);
$repons_x = ($plxPlugin->getParam('repons_x') > 0) ? ' checked' : '';
$reponse_x = $plxPlugin->getParam('reponse_x_'.$lang)=='' ? '' : $plxPlugin->getParam('reponse_x_'.$lang);

$quest_y = ($plxPlugin->getParam('quest_y') > 0) ? ' checked' : '';
$question_obligatoire_y = ($plxPlugin->getParam('question_obligatoire_y') > 0) ? ' checked' : '';
$question_y = $plxPlugin->getParam('question_y_'.$lang)=='' ? '' : $plxPlugin->getParam('question_y_'.$lang);
$repons_y = ($plxPlugin->getParam('repons_y') > 0) ? ' checked' : '';
$reponse_y = $plxPlugin->getParam('reponse_y_'.$lang)=='' ? '' : $plxPlugin->getParam('reponse_y_'.$lang);

$quest_z = ($plxPlugin->getParam('quest_z') > 0) ? ' checked' : '';
$question_obligatoire_z = ($plxPlugin->getParam('question_obligatoire_z') > 0) ? ' checked' : '';
$question_z = $plxPlugin->getParam('question_z_'.$lang)=='' ? '' : $plxPlugin->getParam('question_z_'.$lang);
$repons_z = ($plxPlugin->getParam('repons_z') > 0) ? ' checked' : '';
$reponse_z = $plxPlugin->getParam('reponse_z_'.$lang)=='' ? '' : $plxPlugin->getParam('reponse_z_'.$lang);


$motif = ($plxPlugin->getParam('motif') > 0) ? ' checked' : '';
$motif_obligatoire = ($plxPlugin->getParam('motif_obligatoire') > 0) ? ' checked' : '';

$sexe = ($plxPlugin->getParam('sexe') > 0) ? ' checked' : '';

$prenom = ($plxPlugin->getParam('prenom') > 0) ? ' checked' : '';
$prenom_obligatoire = ($plxPlugin->getParam('prenom_obligatoire') > 0) ? ' checked' : '';

$skype = ($plxPlugin->getParam('skype') > 0) ? ' checked' : '';
$skype_obligatoire = ($plxPlugin->getParam('skype_obligatoire') > 0) ? ' checked' : '';

$site = ($plxPlugin->getParam('site') > 0) ? ' checked' : '';
$site_obligatoire = ($plxPlugin->getParam('site_obligatoire') > 0) ? ' checked' : '';

$nom_site = ($plxPlugin->getParam('nom_site') > 0) ? ' checked' : '';
$url_site = ($plxPlugin->getParam('url_site') > 0) ? ' checked' : '';
$ip = ($plxPlugin->getParam('ip') > 0) ? ' checked' : '';
$date = ($plxPlugin->getParam('date') > 0) ? ' checked' : '';
$format_date = $plxPlugin->getParam('format_date')=='' ? '0' : $plxPlugin->getParam('format_date');

# On récupère les templates des pages statiques
$files = plxGlob::getInstance(PLX_ROOT.'themes/'.$plxAdmin->aConf['style']);
if ($array = $files->query('/^static(-[a-z0-9-_]+)?.php$/')) {
	foreach($array as $k=>$v)
		$aTemplates[$v] = $v;
}

if ($plxAdmin->aConf['version'] < '5.4') { ?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php } ?>
<?php
//Mise en forme des champs langue
include(dirname(__FILE__).'/lang/dates_'.$lang.'.php');
if($lang == "fr"){
	$format1 = 'Le '.date("d/m/Y").' &#224; '.date("H").'h'.date("i");
	$format2 = 'Le '.$dates[date("N")-1].' '.date("d").' '.$dates[date("m")+6].' '.date("Y").' &#224; '.date("H").'h'.date("i");
}else{
	$format1 = 'on '.date("m/d/Y").' at '.date("H:i").' '.date("a");
	if(date("d")==1){$suffixe="st";}else{if(date("d")==2){$suffixe="nd";}else{if(date("d")==3){$suffixe="rd";}else{$suffixe="th";}}}
	$format2 = 'On '.$dates[date("N")-1].' '.$dates[date("m")+6].' the '.date("d").$suffixe.' at '.date("H:i").' '.date("a");
}
?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxSuperContact/css/config.css?v=<?php echo $plxPlugin->v ?>" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxSuperContact/js/config.js?v=<?php echo $plxPlugin->v ?>"></script>
<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/bg-clouds.png" style="display:none">
<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_ajax.gif" style="display:none">
<div class="switch2js" style="display:none">
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_SC_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_06" onclick="javascript:change_tab('06');"><?php $plxPlugin->lang('L_SC_TAB06') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_SC_TAB02') ?></span>
	<span class="tab_0 tab" id="tab_03" onclick="javascript:change_tab('03');"><?php $plxPlugin->lang('L_SC_TAB03') ?></span>
	<span class="tab_0 tab" id="tab_04" onclick="javascript:change_tab('04');"><?php $plxPlugin->lang('L_SC_TAB04') ?></span>
	<span class="tab_0 tab" id="tab_05" onclick="javascript:change_tab('05');"><?php $plxPlugin->lang('L_SC_TAB05') ?></span>
</div>
<noscript><h3 class="alert green"><?php $plxPlugin->lang('L_SC_CONFIG_NOSCRIPT_FALLBACK') ?></h3><h1><?php $plxPlugin->lang('L_SC_CONFIG') ?>&nbsp;:</h1></noscript>
<!--Formulaire de configuration du formulaire de contact-->
<form class="inline-form" id="form_supercontact" action="<?php echo $plxAdmin->racine.$plxAdmin->path_url ?>" method="post">
	<fieldset>
	<div class="content_tab switch2js" style="display:block" id="content_tab_01">
		<noscript><hr/><h2><?php $plxPlugin->lang('L_SC_TAB01') ?>&nbsp;:</h2></noscript>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_mnuDisplay"><?php $plxPlugin->lang('L_SC_MENU_DISPLAY') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('mnuDisplay',array('1'=>L_YES,'0'=>L_NO),$mnuDisplay); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_mnuName"><?php echo $plxPlugin->getLang('L_SC_MENU_TITLE').' ('.ucfirst($lang).')' ?>&nbsp;:</label>
				<?php plxUtils::printInput('mnuName',$mnuName,'text','20-20') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_mnuPos"><?php $plxPlugin->lang('L_SC_MENU_POS') ?>&nbsp;:</label>
				<?php plxUtils::printInput('mnuPos',$mnuPos,'text','2-5') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_label"><?php $plxPlugin->lang('L_SC_LABEL') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('label',array('1'=>L_YES,'0'=>L_NO),$label); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_placeholder"><?php $plxPlugin->lang('L_SC_PLACEHOLDER') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('placeholder',array('1'=>L_YES,'0'=>L_NO),$placeholder); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_email"><?php $plxPlugin->lang('L_SC_EMAIL') ?>&nbsp;<span class="remarkred">*</span>&nbsp;:</label>
				<?php plxUtils::printInput('email',$email,'text','50-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_email_cc"><?php $plxPlugin->lang('L_SC_EMAIL_CC') ?>&nbsp;<span class="remarkred">*</span>&nbsp;:</label>
				<?php plxUtils::printInput('email_cc',$email_cc,'text','50-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_email_bcc"><?php $plxPlugin->lang('L_SC_EMAIL_BCC') ?>&nbsp;<span class="remarkred">*</span>&nbsp;:</label>
				<?php plxUtils::printInput('email_bcc',$email_bcc,'text','50-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_subject"><?php echo $plxPlugin->getLang('L_SC_EMAIL_SUBJECT').' ('.ucfirst($lang).')' ?>&nbsp;:</label>
				<?php plxUtils::printInput('subject',$subject,'text','72-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_mnuText"><?php echo $plxPlugin->getLang('L_SC_MENU_TEXT').' ('.ucfirst($lang).')' ?>&nbsp;:</label>
				<?php plxUtils::printArea('content',plxUtils::strCheck($mnuText),72,15,false,'full-width'); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_thankyou"><?php echo $plxPlugin->getLang('L_SC_THANKYOU_MESSAGE').' ('.ucfirst($lang).')' ?>&nbsp;:</label>
				<?php plxUtils::printInput('thankyou',$thankyou,'text','72-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_captcha"><?php $plxPlugin->lang('L_SC_CAPTCHA') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('captcha',array('1'=>L_YES,'0'=>L_NO),$captcha); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_template"><?php $plxPlugin->lang('L_SC_TEMPLATE') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('template', $aTemplates, $template) ?>
			</div>
		</div>
		<p><span class="remarkred"><?php $plxPlugin->lang('L_SC_COMMA') ?></span></p>
	</div>

	<div class="content_tab switch2js" style="display:block" id="content_tab_06"><!-- TRANSPORT -->
		<noscript><hr/><h2><?php $plxPlugin->lang('L_SC_TAB06') ?>&nbsp;:</h2></noscript>
<?php
	if(function_exists('mail')) {
		echo '		<p style="color:green"><strong>'.$plxPlugin->getLang('L_SC_MAIL_AVAILABLE').'</strong></p>'.PHP_EOL;
	} else {
		echo '		<p style="color:#ff0000"><strong>'.$plxPlugin->getLang('L_SC_MAIL_NOT_AVAILABLE').'</strong></p>.PHP_EOL';
	}
?>
		<p style="color:blue"><sup><?php echo $plxPlugin->getLang('L_SC_PAGE_TITLE') . ' ' .$plxPlugin->getLang('L_SC_TRANSPORT_HELP') ?></sup></p>


		<div class="grid">
			<a id="test_transport" href="javascript:void(0);" style="display:inline-block"
				onclick="
					var diva = document.getElementById('send_admin_mail');
					if(diva.getAttribute('data-onclick')) return false;//prevent multiclic
					diva.setAttribute('data-onclick', 'en-cours');
					diva.innerHTML = '';
					var img = document.createElement('img');
					img.src='<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_ajax.gif';
					diva.appendChild(img);
					diva.innerHTML = diva.innerHTML + '<?php $plxPlugin->lang('L_SC_SEND') ?> · ';
					diva.classList.add('up');
					diva.innerHTML=diva.innerHTML+' · ';
					diva.title='··· <?php $plxPlugin->lang('L_SC_SEND') ?> ···';

					waitingAjax('send_admin_mail');
					getAjax('<?php echo $plxAdmin->racine.$plxAdmin->path_url ?>&ajax=sendAdminMail',
						function(data){
							stopAjax('send_admin_mail');
							var diva = document.getElementById('send_admin_mail');
							diva.innerHTML = data;
							diva.title='<?php $plxPlugin->lang('L_SC_ADMIN_MAIL_TEST') ?> : <?php $plxPlugin->lang('L_SC_SENDED') ?>?';

							diva.removeAttribute('data-onclick');
							diva.classList.remove('up');
						}
					);
				"
			><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_test.gif" alt="<?php echo ' ';$plxPlugin->lang('L_SC_TAB06') ?>"><?php echo ' TEST ';$plxPlugin->lang('L_SC_TAB06') ?></a>
			<div id="send_admin_mail" class="majax"></div>
			<noscript><a target="_blank" href="<?php echo $plxAdmin->racine.$plxAdmin->path_url?>&amp;ajax=sendAdminMail"><del>AJAX</del></a></noscript>

		</div>

		<div class="grid">
			<div class="col sml-12">
				<label for="id_use_smtp"><?php $plxPlugin->lang('L_SC_DEBUG_MAILER') ?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_SC_DEBUG_MAILER_HELP') ?></span></a>&nbsp;:&nbsp;</label>
				<?php plxUtils::printSelect('debug_mailer',array('0'=>L_NO,'1'=>L_YES.' SMTP (LOG)','plxUtils::debugJs'=>'SMTP + debugJs (5.7+)','plxUtils::debug'=>'SMTP + debug (5.4+)','var_dump'=>'SMTP + var_dump'),$debug_mailer); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_use_smtp"><?php $plxPlugin->lang('L_SC_USE_SMTP') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('use_smtp',array('1'=>L_YES,'0'=>L_NO),$use_smtp, false, 'togglesmtp_auth" onChange="var a=document.getElementById(\'use_smtp\');a.style.display=(this.value==1)?\'block\':\'none\';'); ?>
			</div>
		</div>
		<div id="use_smtp" class="transports borders"><!-- SMTP BLOCK -->
			<script>initjs('use_smtp','<?php echo $use_smtp==1?'block':'none' ?>')</script>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_use_release"><?php $plxPlugin->lang('L_SC_USE_RELEASE') ?>&nbsp;:</label>
					<?php plxUtils::printSelect('use_release',array(5=>'PHP_MAILLER 5',6=>'PHP_MAILLER 6'),$use_release); ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_smtp_server"><?php $plxPlugin->lang('L_SC_SMTP_SERVER') ?>&nbsp;:</label>
					<?php plxUtils::printInput('smtp_server',$smtp_server,'text','72-255') ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_smtp_port"><?php $plxPlugin->lang('L_SC_SMTP_PORT') ?>&nbsp;<a class="hint"><span>SMTP: ports 25, 2525, 587<br/>Secure SMTP (SSL / TLS): ports 465, 25, 587, 2526 (Elastic Email)</span></a>&nbsp;:</label>
					<?php plxUtils::printInput('smtp_port',$smtp_port,'number','5-20') ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_"><?php $plxPlugin->lang('L_SC_SMTP_ENCRYPTION') ?>&nbsp;:</label>
					<?php plxUtils::printSelect('smtp_encryption',array('0'=>L_NO,'ssl'=>'SSL','tls'=>'TLS'),$smtp_encryption); ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_smtp_auth"><?php $plxPlugin->lang('L_SC_SMTP_AUTH') ?>&nbsp;:</label>
					<?php plxUtils::printSelect('smtp_auth',array('1'=>L_YES,'0'=>L_NO),$smtp_auth, false, 'togglesmtp_auth" onChange="var a=document.getElementById(\'smtp_auth\');a.style.display=(this.value==1)?\'block\':\'none\';'); ?>
				</div>
			</div>
			<div id="smtp_auth" class="transports borders"><!-- SMTP_AUTH BLOCK -->
			<script>initjs('smtp_auth','<?php echo $smtp_auth==1?'block':'none' ?>')</script>
				<div class="grid">
					<div class="col sml-12">
						<label for="id_smtp_username"><?php $plxPlugin->lang('L_SC_SMTP_USERNAME') ?>&nbsp;:</label>
						<?php plxUtils::printInput('smtp_username',$smtp_username,'text','72-255') ?>
					</div>
				</div>
				<div class="grid"><!-- todo toggle pass -->
					<div class="col sml-12">
						<label for="id_smtp_password"><?php $plxPlugin->lang('L_SC_SMTP_PASSWORD') ?>&nbsp;:&nbsp;<a id="toggler_smtp_password" href="javascript:void(0);" onclick="toggleAll('toggle_smtp_password', 'toggler_smtp_password', '✚', '—')">✚</a></label>
						<span id="toggle_smtp_password"><?php plxUtils::printInput('smtp_password',$smtp_password,'text','72-255', false, '" autocomplete="off"') ?></span>
						<script>document.getElementById('toggle_smtp_password').style.display='none';</script><!-- noscript fallback -->
					</div>
				</div>
			</div><!-- !SMTP_AUTH BLOCK -->
		</div><!-- !SMTP BLOCK -->
		<div class="grid">
			<div class="col sml-12">
				<label for="id_use_sendmail"><?php $plxPlugin->lang('L_SC_USE_SENDMAIL') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_SC_USE_SENDMAIL_HELP') ?></span></a>&nbsp;:</label>
				<?php plxUtils::printSelect('use_sendmail',array('1'=>L_YES,'0'=>L_NO),$use_sendmail); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_use_phpmail"><?php $plxPlugin->lang('L_SC_USE_PHPMAIL') ?>&nbsp;:</label>
				<?php plxUtils::printSelect('use_phpmail',array('1'=>L_YES,'0'=>L_NO),$use_phpmail); ?>
			</div>
		</div>
<!-- DKIM -->
		<div class="grid">
			<div class="col sml-12">
				<label for="id_use_dkim"><?php $plxPlugin->lang('L_SC_USE_DKIM') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_SC_DKIM_HOSTERS_HELP') ?></span></a>&nbsp;:</label>
				<?php plxUtils::printSelect('use_dkim',array('1'=>L_YES,'0'=>L_NO),$use_dkim, false, 'toggledkim" onChange="var a=document.getElementById(\'dkim\');a.style.display=(this.value==1)?\'block\':\'none\';'); ?>
			</div>
		</div>
		<div id="dkim" class="transports borders"><!-- DKIM BLOCK -->
			<script>initjs('dkim','<?php echo $use_dkim==1?'block':'none' ?>')</script>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_dkim_refresh">DKIM <?php echo L_PLUGINS_ACTION ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_SC_DKIM_REFRESH') ?></span></a>&nbsp;:</label>
					<?php plxUtils::printSelect('dkim_refresh',array('0'=>L_NO,'1'=>$plxPlugin->getLang('L_SC_DKIM_CREATE'),'dns'=>'DNS','del'=>L_DELETE),'0',false,'" onchange="this.style.backgroundColor=\'gold\';') ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_dkim_domain"><?php $plxPlugin->lang('L_SC_DKIM_DOMAIN') ?>&nbsp;:</label>
					<?php plxUtils::printInput('dkim_domain',$dkim_domain,'text','72-255',FALSE,'" placeholder="exemple.com" onchange="var r =document.getElementById(\'id_dkim_refresh\');if(r.value==\'0\'){r.value=\'1\';r.onchange();}') ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_dkim_selector "><?php $plxPlugin->lang('L_SC_DKIM_SELECTOR') ?>&nbsp;:</label>
					<?php plxUtils::printInput('dkim_selector',$dkim_selector,'text','72-255',FALSE,'" placeholder="default, phpmailer, '.$pluginName.', mysystem ...')#default, phpmailer, appName? ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_dkim_private"><?php $plxPlugin->lang('L_SC_DKIM_PRIVATE') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_SC_DKIM_PRIVATE_HELP') ?></span></a>&nbsp;:&nbsp;<?php echo((!!$dkim_private AND file_exists(PLX_ROOT.$dkim_private))?'<b style="color:green" title="'.$plxPlugin->getLang('L_SC_DKIM_IS_PRESENT').'">√</b>':''); ?></label>
					<?php /*$dkim_private = (file_exists(PLX_ROOT.$dkim_private)?$dkim_private:'');*/ plxUtils::printInput('dkim_private',$dkim_private,'text','72-255',FALSE,'" placeholder="'.$plxPlugin->getLang('L_SC_DKIM_PRIVATE_HOLD').'/dkim_private.pem' ) ?>
				</div>
			</div>
			<div class="grid" id="present_dkim_keys">
				<div class="col sml-12 med-3">
					<label for="id_dkim_present"><?php $plxPlugin->lang('L_SC_DKIM_PRESENT') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_SC_DKIM_PRESENT_HELP') ?></span></a>&nbsp;:</label>
				</div>
				<div class="col sml-12 med-9">
<?php #liste des fichiers présent(s)
					$filekeys = plxGlob::getInstance(PLX_ROOT.PLX_CONFIG_PATH.'plugins/');
					$filekeys = $filekeys->query('~^'.$pluginName.'_dkim_private.(.*).pem$~');
					$filecount=0;
					foreach($filekeys as $fk){
						$domkey = explode('_',$fk);
						$domkey = end($domkey);
						$domkey = substr($domkey, 0, -4);
						if($domkey==$dkim_domain) continue;
						echo '					<a class="back red button" href="javascript:void(0);" title="'.L_DELETE.' '.$domkey.'" onclick="dkim_key_files(\''.$domkey.'\',\''.L_DELETE.'\',\'del\')">X&nbsp;'.L_DELETE.'</a>&nbsp;/&nbsp;<a class="back blue button" href="javascript:void(0);" title="'.L_PLUGINS_ACTIVATE.' '.$domkey.'" onclick="dkim_key_files(\''.$domkey.'\',\''.L_PLUGINS_ACTIVATE.'\',\'1\')">'.L_PLUGINS_ACTIVATE.'&nbsp;↑</a> '.$domkey.'<br/>'.PHP_EOL;
						$filecount++;
					}
					if(!$filecount)#si aucun, on cache
						echo '<script>document.getElementById("present_dkim_keys").style.display="none"</script>'.PHP_EOL;
?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_dkim_passphrase"><?php $plxPlugin->lang('L_SC_DKIM_PASSPHRASE') ?>&nbsp;:</label>
					<?php plxUtils::printInput('dkim_passphrase',$dkim_passphrase,'text','72-255',FALSE,'" placeholder="'.$plxPlugin->getLang('L_SC_DKIM_PASSPHRASE_HOLD')) ?>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<label for="id_dkim_extraheaders"><?php $plxPlugin->lang('L_SC_DKIM_EXTRAHEADERS') ?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_SC_DKIM_EXTRAHEADERS_HELP') ?></span></a>&nbsp;:</label>
					<?php plxUtils::printInput('dkim_extraheaders',$dkim_extraheaders,'text','72-255',FALSE,'" placeholder="'.$plxPlugin->getLang('L_SC_DKIM_EXTRAHEADERS_HOLD')) ?>
				</div>
			</div>
<?php
			$dkimtxt = '';
			if($use_dkim){
				if(isset($_SESSION['dkim_refresh'])){
					$dkimtxt .= $_SESSION['dkim_refresh'];
					unset($_SESSION['dkim_refresh']);
				}else{
					if($dkim_domain AND $dkim_selector) $dkimtxt .= dkim($plxPlugin,$dkim_domain,$dkim_selector,$privatekeyfile,$publickeyfile,'html',true,false);
				}
			}
?>
			<div class="grid"<?php echo !$dkimtxt?' style="display:none"':'' ?>>
				<h3 class="col sml-12"><?php $plxPlugin->lang('L_SC_DKIM_HOSTERS_TITLE') ?>&nbsp;<a id="toggler_hosters" href="javascript:void(0);" onclick="toggleAll('toggle_hosters', 'toggler_hosters', '✚', '—')">✚</a></h3>
				<div id="toggle_hosters" class="col sml-12 alert green wordwraped" style="background-color:transparent;display:none"><?php echo $dkimtxt ?><p>&nbsp;</p>
					<h3 class="alert orange"><?php $plxPlugin->lang('L_SC_DNS_RECORDS_TIPS') ?>&nbsp;DMARC&nbsp;SPF (src:&nbsp;wikipedia)&nbsp;<a id="toggler_dns_records" href="javascript:void(0);" onclick="toggleAll('toggle_dns_records', 'toggler_dns_records', '✚', '—')">✚</a></h3>
					<div id="toggle_dns_records" class="col sml-12 alert blue wordwraped" style="display:none">
<?php include('lang/spf_dmarc_dkim.html');/* info in HTML DMARC, SPF */ ?>
					</div><!-- !toggle_dns_records -->
				</div>
			</div>
				<p><sub>
					<b><a target="_blank" title="DomainKeys_Identified_Mail (Wikipedia <?php echo $plxPlugin->lang ?>)" href="https://<?php echo $plxPlugin->lang ?>.wikipedia.org/wiki/DomainKeys_Identified_Mail">DKIM?</a></b> -
					<b><a target="_blank" title="Domain-based Message Authentication, Reporting and Conformance (Wikipedia <?php echo $plxPlugin->lang ?>)" href="https://<?php echo $plxPlugin->lang ?>.wikipedia.org/wiki/DMARC">DMARC?</a></b> -
					<b><a target="_blank" title="Sender Policy Framework (Wikipedia <?php echo $plxPlugin->lang ?>)" href="https://<?php echo $plxPlugin->lang ?>.wikipedia.org/wiki/Sender_Policy_Framework">SPF?</a></b>
				<br/>
					<a target="_blank" href="https://forum.ovh.com/showthread.php/108546-DKIM-manque-v-DKIM1">DKIM manque v=DKIM1</a> -
					<a target="_blank" href="https://community.ovh.com/t/comment-configurer-une-entree-dns-de-type-dkim-chez-ovh/15296">Comment configurer une entrée DNS de type DKIM chez OVH ?</a> -
					<a target="_blank" href="https://duckduckgo.com/?q=PHP+GENERATE+SPF+DNS+KEY&t=ffab&ia=web">PHP GENERATE SPF DNS KEY</a> -
					<a target="_blank" href="https://forum.ovh.com/showthread.php/89000-installer-et-configurer-DKIM">installer et configurer DKIM</a> -
					<a target="_blank" href="https://www.spfwizard.net/">SPF Wizard - SPF Generator DNS tool</a> -
					<a target="_blank" href="https://yomotherboard.com/how-to-setup-email-server-dkim-keys/">how-to-setup-email-server-dkim-keys</a> -
					<a target="_blank" href="http://www.dkim.org/info/dkim-faq.html">More info about DKIM can be found here</a> -
					<a target="_blank" href="https://dkimcore.org/specification.html">DKIM Core Technical Specification</a> -
					<a target="_blank" href="https://github.com/PHPMailer/PHPMailer/blob/master/examples/DKIM_sign.phps">examples DKIM_sign.php</a>
				</sub></p>
			</div><!-- !DKIM BLOCK -->
			<p><sub><a target="_blank" href="https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting">Troubleshooting PHPMailer Problems</a></sub></p>
	</div>
<!-- !TRANSPORT -->

	<div class="content_tab switch2js" style="display:block" id="content_tab_02">
		<noscript><hr/><h2><?php $plxPlugin->lang('L_SC_TAB02') ?>&nbsp;:</h2></noscript>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_sexe"><?php $plxPlugin->lang('L_SC_INTITULE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="sexe" id="id_sexe" <?php echo $sexe; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_prenom"><?php $plxPlugin->lang('L_SC_PRENOM') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="prenom" id="id_prenom" <?php echo $prenom; ?> />
				<span class="oblig" id="id_prenom_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="prenom_obligatoire" id="id_prenom_obligatoire" <?php echo $prenom_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_motif"><?php $plxPlugin->lang('L_SC_MOTIF') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="motif" id="id_motif" <?php echo $motif; ?> />
				<span class="oblig" id="id_motif_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="motif_obligatoire" id="id_prenom_obligatoire" <?php echo $motif_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_motif"><?php $plxPlugin->lang('L_SC_TELEPHONE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="telephone" id="id_telephone" <?php echo $telephone; ?> />
				<span class="oblig" id="id_tel_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="tel_obligatoire" id="id_tel_obligatoire" <?php echo $tel_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_fax"><?php $plxPlugin->lang('L_SC_FAX') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="fax" id="id_fax" <?php echo $motif; ?> />
				<span class="oblig" id="id_fax_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="fax_obligatoire" id="id_fax_obligatoire" <?php echo $fax_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_site"><?php $plxPlugin->lang('L_SC_SITE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="site" id="id_site" <?php echo $site; ?> />
				<span class="oblig" id="id_site_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="site_obligatoire" id="id_site_obligatoire" <?php echo $site_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_adresse"><?php $plxPlugin->lang('L_SC_ADRESSE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="adresse" id="id_adresse" <?php echo $adresse; ?> />
				<span class="oblig" id="id_adrs_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="adrs_obligatoire" id="id_adrs_obligatoire" <?php echo $adrs_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_entreprise"><?php $plxPlugin->lang('L_SC_ENTREPRISE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="entreprise" id="id_entreprise" <?php echo $entreprise; ?> />
				<span class="oblig" id="id_entp_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="entp_obligatoire" id="id_entp_obligatoire" <?php echo $entp_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_skype"><?php $plxPlugin->lang('L_SC_SKYPE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="skype" id="id_skype" <?php echo $skype; ?> />
				<span class="oblig" id="id_skype_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="skype_obligatoire" id="id_skype_obligatoire" <?php echo $skype_obligatoire; ?> />
			</div>
		</div>
	</div>
	<div class="content_tab switch2js" style="display:block" id="content_tab_03">
		<noscript><hr/><h2><?php $plxPlugin->lang('L_SC_TAB03') ?>&nbsp;:</h2></noscript>
		<div class="grid">
			<div class="col sml-12">
				<span id="id_quest"><strong><?php echo $plxPlugin->getLang('L_SC_QUEST').' ('.ucfirst($lang).')' ?>&nbsp;:</strong></span>
				<input type="checkbox" value="1" name="quest" id="id_quest" <?php echo $quest; ?> />
				<span class="repons" id="id_repons">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_REPONSE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="repons" id="id_repons" <?php echo $repons; ?> />
				<span class="oblig" id="id_question_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="question_obligatoire" id="id_question_obligatoire" <?php echo $question_obligatoire; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_question"><?php $plxPlugin->lang('L_SC_QUESTION_PERSO') ?>&nbsp;:</label>
				<?php plxUtils::printInput('question',$question,'text','50-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_reponse"><?php $plxPlugin->lang('L_SC_REPONSE_PERSO') ?>&nbsp;:</label>
				<?php plxUtils::printInput('reponse',$reponse,'text','50-120') ?>
				<a class="hint"><span><?php $plxPlugin->lang('L_SC_REPONSE_HELP_PERSO') ?></span></a>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<span id="id_quest_x"><strong><?php echo $plxPlugin->getLang('L_SC_QUEST_X').' ('.ucfirst($lang).')' ?>&nbsp;:</strong></span>
				<input type="checkbox" value="1" name="quest_x" id="id_quest" <?php echo $quest_x; ?> />
				<span class="repons" id="id_repons_x">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_REPONSE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="repons_x" id="id_repons_x" <?php echo $repons_x; ?> />
				<span class="oblig" id="id_question_obligatoire_x">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="question_obligatoire_x" id="id_question_obligatoire_x" <?php echo $question_obligatoire_x; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_question_x"><?php $plxPlugin->lang('L_SC_QUESTION_PERSO_X') ?>&nbsp;:</label>
				<?php plxUtils::printInput('question_x',$question_x,'text','50-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_reponse_x"><?php $plxPlugin->lang('L_SC_REPONSE_PERSO_X') ?>&nbsp;:</label>
				<?php plxUtils::printInput('reponse_x',$reponse_x,'text','50-120') ?>
				<a class="hint"><span><?php $plxPlugin->lang('L_SC_REPONSE_HELP_PERSO') ?></span></a>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<span id="id_quest_y"><strong><?php echo $plxPlugin->getLang('L_SC_QUEST_Y').' ('.ucfirst($lang).')' ?>&nbsp;:</strong></span>
				<input type="checkbox" value="1" name="quest_y" id="id_quest_y" <?php echo $quest_y; ?> />
				<span class="repons" id="id_repons_y">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_REPONSE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="repons_y" id="id_repons_y" <?php echo $repons_y; ?> />
				<span class="oblig" id="id_question_obligatoire_y">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="question_obligatoire_y" id="id_question_obligatoire_y" <?php echo $question_obligatoire_y; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_question_y"><?php $plxPlugin->lang('L_SC_QUESTION_PERSO_Y') ?>&nbsp;:</label>
				<?php plxUtils::printInput('question_y',$question_y,'text','50-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_reponse_y"><?php $plxPlugin->lang('L_SC_REPONSE_PERSO_Y') ?>&nbsp;:</label>
				<?php plxUtils::printInput('reponse_y',$reponse_y,'text','50-120') ?>
				<a class="hint"><span><?php $plxPlugin->lang('L_SC_REPONSE_HELP_PERSO') ?></span></a>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<span id="id_quest_z"><strong><?php echo $plxPlugin->getLang('L_SC_QUEST_Z').' ('.ucfirst($lang).')' ?>&nbsp;:</strong></span>
				<input type="checkbox" value="1" name="quest_z" id="id_quest_z" <?php echo $quest_z; ?> />
				<span class="repons" id="id_repons_z">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_REPONSE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="repons_z" id="id_repons_z" <?php echo $repons_z; ?> />
				<span class="oblig" id="id_question_obligatoire_z">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_OBLIGATOIRE') ?>&nbsp;:</span>
				<input type="checkbox" value="1" name="question_obligatoire_z" id="id_question_obligatoire_z" <?php echo $question_obligatoire_z; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_question_y"><?php $plxPlugin->lang('L_SC_QUESTION_PERSO_Z') ?>&nbsp;:</label>
				<?php plxUtils::printInput('question_z',$question_z,'text','50-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_reponse_y"><?php $plxPlugin->lang('L_SC_REPONSE_PERSO_Z') ?>&nbsp;:</label>
				<?php plxUtils::printInput('reponse_z',$reponse_z,'text','50-120') ?>
				<a class="hint"><span><?php $plxPlugin->lang('L_SC_REPONSE_HELP_PERSO') ?></span></a>
			</div>
		</div>
	</div>
	<div class="content_tab switch2js" style="display:block" id="content_tab_04">
		<noscript><hr/><h2><?php $plxPlugin->lang('L_SC_TAB04') ?>&nbsp;:</h2></noscript>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_date"><?php echo $plxPlugin->getLang('L_SC_DATE').' ('.ucfirst($lang).')' ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="date" id="id_date" <?php echo $date; ?> />
				<span class="oblig" id="id_question_obligatoire">&nbsp;&nbsp;<?php $plxPlugin->lang('L_SC_FORMAT') ?>&nbsp;:</span>
				<?php plxUtils::printSelect('format_date',array('1'=>$format1,'0'=>$format2),$format_date); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_nom_site"><?php $plxPlugin->lang('L_SC_NOM_SITE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="nom_site" id="id_nom_site" <?php echo $nom_site; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_url_site"><?php $plxPlugin->lang('L_SC_URL_SITE') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="url_site" id="id_url_site" <?php echo $url_site; ?> />
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_ip"><?php $plxPlugin->lang('L_SC_IP') ?>&nbsp;:</label>
				<input type="checkbox" value="1" name="ip" id="id_ip" <?php echo $ip; ?> />
			</div>
		</div>
	</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" id="save_config" value="<?php $plxPlugin->lang('L_SC_SAVE') ?>" />
		</p>
	</fieldset>
</form>
<div class="content_tab switch2js" style="display:block" id="content_tab_05">
	<noscript><hr/><h2><?php $plxPlugin->lang('L_SC_TAB05') ?>&nbsp;:</h2></noscript>
	<div id="maj">
		<a id="majax" class="majax" href="javascript:void(0);"
			onclick="this.firstChild.src='<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_ajax.gif';
				this.classList.add('up');
				this.innerHTML=this.innerHTML+' · ';
				waitingAjax('majax');
				getAjax('<?php echo $plxAdmin->racine.$plxAdmin->path_url ?>&ajax=ckeckUpdate', function(data){ document.getElementById('maj').innerHTML = data;stopAjax('majax');} );
				this.title='··· <?php echo @L_SEARCH. ' 1 ';$plxPlugin->lang('L_SC_TAB05') ?> ···';
				this.onclick='';//this.href='';
			"
		><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/icon.png" alt="<?php echo @L_SEARCH. ' ';$plxPlugin->lang('L_SC_TAB05') ?>"><?php echo @L_SEARCH. ' 1 ';$plxPlugin->lang('L_SC_TAB05') ?></a>
	</div>
</div>

<script type="text/javascript">
switch2js();
var anc_tab = '01';
if(!!sessionStorage && !!sessionStorage.getItem('anc_tab')){
	anc_tab = sessionStorage.getItem('anc_tab');
}
change_tab(anc_tab);
</script>
