<?php
/**
 * Plugin plxSuperContact
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Initialised by Mathieu Ribot @ MontrezVous.net
 * Licence GNU_GPL
 **/

$LANG = array(

'L_SC_PAGE_TITLE'							=> 'SuperContact',

'L_DKIM_DEL' => 'Key files deleted for domain',
'L_DKIM_DEL_UNEXIST' => 'Key files unexist for domain',
'L_DKIM_NEWS' => 'New keys generated for domain',
'L_DKIM_REFRESH' => 'Existing keys deleted. ',
'L_DKIM_OLD_KEYS' => 'Using existing keys. if you want to generate new keys, delete old key files first',
'L_DKIM_PRIVATE' => 'Private key (keep this private!)',
'L_DKIM_PUBLIC' => 'Public key',
'L_DKIM_DNS_KEY' => 'DNS key',
'L_DKIM_DNS_VALUE' => 'DNS value',
'L_DKIM_OPENSSL_PKEY_NEW_UNEXIST' => 'PHP Function openssl_pkey_new unexist! DKIM Keys Generator: Aborted! If need it, maybe use an Online DNS Record Creation Tool for DKIM:',
# config.php
'L_SC_SENDED'							=> 'sended',
'L_SC_SEND'							=> 'send',
'L_SC_ADMIN_MAIL_TEST'						=> 'Test transport mail',
'L_SC_ADMIN_MAIL_SUBJ'						=> 'Test mail of',
'L_SC_ADMIN_MAIL_TEXT'						=> 'If you receive this mail, your settings is corrects.',
'L_SC_MAIL_AVAILABLE'						=> 'Available e-mail sending function',
'L_SC_MAIL_NOT_AVAILABLE'	=> 'Unavailable e-mail sending function',
'L_SC_CONFIG_NOSCRIPT_FALLBACK'	=> 'Please enable Javascript for ease of use with tabs.',
'L_SC_CONFIG'					=> 'Configuration',
'L_SC_MENU_DISPLAY'							=> 'Display the menu of the SuperContact form',
'L_SC_MENU_TITLE'	=> 'Menu title',
'L_SC_MENU_POS'	=> 'Menu position',
'L_SC_MENU_TEXT'						=> 'Text inserted at the top of the form',
'L_SC_EMAIL'								=> 'Recipients of the email',
'L_SC_EMAIL_CC'								=> 'Carbon copied recipients of the e-mail',
'L_SC_EMAIL_BCC'							=> 'Blind carbon copied recipients of the e-mail',
'L_SC_EMAIL_SUBJECT'						=> 'E-mail subject',
'L_SC_THANKYOU_MESSAGE'                    	=> 'Thank you message',
'L_SC_TEMPLATE'								=> 'Template',
'L_SC_CAPTCHA'								=> 'Enable anti spam-capcha',
'L_SC_SAVE'									=> 'Save',
'L_SC_COMMA'								=> '* separate e-mail addresses of the recipients by a comma',
'L_SC_REPONSE'								=> 'Multiple choice',
'L_SC_LABEL'								=> 'Display field label',
'L_SC_PLACEHOLDER'							=> 'Display field placeholder',
#TRANSPORT
'L_SC_TAB06' => 'Transports',
'L_SC_TRANSPORT_ERROR' => 'No method of mail transportation has been configured',#supermail
'L_SC_TRANSPORT_HELP' => 'will first try to use an SMTP server to send messages. If that fails, <code>Sendmail</code> may be tried followed by PHP <code>mail()</code>',
'L_SC_DEBUG_MAILER' => 'Activate send debug',
'L_SC_DEBUG_MAILER_HELP' => '(Dé)Activate the debug log SMTP system in public send page + (with debugJs option, Open Javascript console [F12]). Dont use in production, just for send testing. Only work if you are connected ;)',
'L_SC_USE_SMTP' => 'Use SMTP',
'L_SC_USE_RELEASE' => 'Use class in version',
'L_SC_SMTP_SERVER' => 'SMTP server',
'L_SC_SMTP_PORT' => 'SMTP port',
'L_SC_SMTP_ENCRYPTION' => 'Encryption',
'L_SC_SMTP_AUTH' => 'Activater Auth',
'L_SC_SMTP_USERNAME' => 'SMTP username',
'L_SC_SMTP_PASSWORD' => 'SMTP password',
'L_SC_USE_SENDMAIL' => 'Use Sendmail',
'L_SC_USE_SENDMAIL_HELP' => 'If Sendmail is available on your server you can enable it here',
'L_SC_USE_PHPMAIL' => 'Use PHP mail',
'L_SC_USE_DKIM' => 'Use DKIM key',
'L_SC_DKIM_IS_PRESENT' => 'This DKIM file is present',#
'L_SC_DKIM_PRESENT' => 'DKIM files',#
'L_SC_DKIM_PRESENT_HELP' => 'Manage the DKIM keys files present in database.',#
'L_SC_DKIM_CREATE' => '(Re)Create the keys of DKIM domain.',#
'L_SC_DKIM_REFRESH' => 'Realise an automated action. No action, (Re)Create, Chech your DNS or Delete key files for this DKIM domain',
'L_SC_DKIM_DOMAIN' => 'DKIM domain',#mydomain.com
'L_SC_DKIM_PRIVATE' => 'DKIM private key',#/path/to/private_key
'L_SC_DKIM_PRIVATE_HELP' => 'Path to access a DKIM private key file',#/path/to/private_key
'L_SC_DKIM_PRIVATE_HOLD' => '/path/to/private_key',#/path/to/private_key
'L_SC_DKIM_SELECTOR' => 'DKIM selector',#default
'L_SC_DKIM_PASSPHRASE' => 'DKIM passphrase',#1234567
'L_SC_DKIM_PASSPHRASE_HOLD' => 'My blue cat has a white coat',#1234567
'L_SC_DKIM_EXTRAHEADERS' => 'Extra headers ',
'L_SC_DKIM_EXTRAHEADERS_HELP' => 'Separate extraheaders by a comma. Optionally you can add extra headers for signing to meet special requirements.',
'L_SC_DKIM_EXTRAHEADERS_HOLD' => 'List-Unsubscribe,List-Help',
'L_SC_DKIM_HOSTERS_TITLE' => 'Messages, generated DNS keys and codes for your web hoster',
'L_SC_DKIM_HOSTERS_HELP' => 'Just add domain and submit for generate DKIM keys',
'L_SC_DNS_RECORDS_TIPS' => 'DNS Records tips',

'L_SC_DEFAULT_MENU_NAME'                   	=> 'SuperContact',
'L_SC_DEFAULT_OBJECT'						=> 'Contact from your website',
'L_SC_DEFAULT_THANKYOU'                    	=> 'Thank you for contacting me. I will reply as soon as possible.',

'L_SC_QUEST'                               	=> 'First personalized question',
'L_SC_QUESTION_PERSO'                      	=> 'First question',
'L_SC_REPONSE_PERSO'						=> 'Answer 1 (multiple choice)',

'L_SC_QUEST_X'                             	=> 'Second personalized question',
'L_SC_QUESTION_PERSO_X'                    	=> 'Second question',
'L_SC_REPONSE_PERSO_X'						=> 'Answer 2 (multiple choice)',
    
'L_SC_QUEST_Y'                             	=> 'Third personalized question',
'L_SC_QUESTION_PERSO_Y'                    	=> 'Third question',
'L_SC_REPONSE_PERSO_Y'						=> 'Answer 3 (multiple choice)',

'L_SC_QUEST_Z'                             	=> 'Fourth personalized question',
'L_SC_QUESTION_PERSO_Z'                    	=> 'Fourth question',
'L_SC_REPONSE_PERSO_Z'						=> 'Answer 4 (multiple choice)',

'L_SC_REPONSE_HELP_PERSO'					=> 'For multiple choices, <br>separate the values by a comma',

'L_SC_INTITULE_QUESTION'                   	=> 'question',
'L_SC_INTITULE_QUESTION_X'                 	=> 'question_x',
'L_SC_INTITULE_QUESTION_Y'                 	=> 'question_y',
'L_SC_INTITULE_QUESTION_Z'                 	=> 'question_z',
'L_SC_OBLIGATOIRE'                         	=> 'Required',

'L_SC_ERROR_EMAIL'							=> 'Please enter a valid e-mail address',

# form.contact.php
'L_SC_MSG_WELCOME'							=> 'Please fill in the following form',
'L_SC_ERR_NAME'								=> 'Please enter your last name',
'L_SC_ERR_EMAIL'							=> 'Please enter a valid e-mail address',
'L_SC_ERR_CONTENT'							=> 'Please enter the content of your message',
'L_SC_ERR_ANTISPAM'							=> 'Anti-spam verification failure',
'L_SC_ERR_SENDMAIL'							=> 'An error has occurred while sending your message',

'L_SC_FORM_NAME'							=> 'Your last name',
'L_SC_FORM_MAIL'							=> 'Your e-mail address',
'L_SC_FORM_CONTENT'							=> 'Content of your message',
'L_SC_FORM_ANTISPAM'						=> 'Anti-spam verification',
'L_SC_FORM_BTN_SEND'						=> 'Send',
'L_SC_FORM_BTN_RESET'						=> 'Reset',

'L_SC_PRENOM'                           	=> 'Ask for a first name',
'L_SC_PRENOM2'                          	=> 'Your first name',
'L_SC_ERR_PRENOM'                       	=> 'Please enter your first name',
    
'L_SC_TELEPHONE'                           	=> 'Ask for a phone number',
'L_SC_TELEPHONE2'                         	=> 'Your phone number',
'L_SC_TELEPHONE3'                          	=> 'Phone number',
'L_SC_ERR_TELEPHONE'                       	=> 'Please enter your phone number',
    
'L_SC_ENTREPRISE'                          	=> 'Ask for the name of the company',
'L_SC_ENTREPRISE2'                         	=> 'Your company',
'L_SC_ENTREPRISE3'                         	=> 'Company',
'L_SC_ERR_ENTREPRISE'                      	=> 'Please enter the name of your company',
    
'L_SC_SITE'                                	=> 'Ask for the website address',
'L_SC_SITE2'                               	=> 'Your website address (http://)',
'L_SC_SITE3'                               	=> 'Website',
'L_SC_ERR_SITE'                            	=> 'Please enter your website address',

    
'L_SC_FAX'                                 	=> 'Ask for the fax number',
'L_SC_FAX2'                                	=> 'Your fax number',
'L_SC_FAX3'                                	=> 'Fax number',
'L_SC_ERR_FAX'                             	=> 'Please enter your fax number',
    
'L_SC_MOTIF'                               	=> 'Ask for the reason',
'L_SC_MOTIF2'                              	=> 'Reason',
'L_SC_MOTIF3'                              	=> 'Reason',
'L_SC_ERR_MOTIF'                           	=> 'Please enter the reason',

'L_SC_SKYPE'                               	=> 'Ask for a skype alias',
'L_SC_SKYPE2'                              	=> 'Your skype alias',
'L_SC_SKYPE3'                              	=> 'Skype alias ',
'L_SC_ERR_SKYPE'                           	=> 'Please enter your skype alias',    
    
'L_SC_ADRESSE'                             	=> 'Ask for a postal address',
'L_SC_RUE'                                 	=> 'Your street',
'L_SC_CP'                                  	=> 'Your postal code',
'L_SC_VILLE'                               	=> 'Your town',
'L_SC_ERR_RUE'                             	=> 'Please enter your street',
'L_SC_ERR_CP'                              	=> 'Please enter your postal code',
'L_SC_ERR_VILLE'                           	=> 'Please enter your town',
    
'L_SC_ERR_REPONSE'                         	=> 'Please answer the question',   
'L_SC_INTITULE'                            	=> 'Ask for the title of the person',
'L_SC_ERR_INTITULE'                        	=> 'Choose your title',
    
'L_SC_CHAMPS_OBLIGATOIRES'                 	=> 'Required fields',

'L_SC_NAME'                                	=> 'You have just received a message from',
'L_SC_MR'                        			=> 'Mr',
'L_SC_MM'                       			=> 'Mrs',
    
'L_SC_ADRS'                       			=> 'Address',
    
'L_SC_NOM_SITE'                            	=> 'Include the name of the website',
'L_SC_NOM_SITE3'                           	=> 'Source website',
'L_SC_URL_SITE'                            	=> 'Include the link to the source page of the e-mail',
'L_SC_URL_SITE3'                           	=> 'Source page',
'L_SC_DATE'                                	=> 'Include the date',
'L_SC_FORMAT'                              	=> 'Date format',
'L_SC_IP'                                  	=> 'Include the IP address of the visitor',
'L_SC_IP3'                                 	=> 'IP',
'L_SC_LANG'                                	=> 'en',
'L_SC_PLAN'                                	=> 'Map ',

'L_SC_TAB01'								=> 'General',
'L_SC_TAB02'								=> 'Personalized form',
'L_SC_TAB03'								=> 'Personalized questions',
'L_SC_TAB04'           		            	=> 'Include others informations in the e-mail',
'L_SC_TAB05'								=> 'Update',

# Update plugin
'L_VP_UNATTENDED_VERSION_TITLE'						=> 'You are using a current version of dev. Make sure to make a return to original programer.',
'L_VP_UNATTENDED_VERSION'						=> 'Unknown Version :)',
'L_VP_ACTUAL_VERSION'						=> 'Current version',
'L_VP_LAST_VERSION'							=> 'You have the latest version of the plugin',
'L_VP_NEW_VERSION'							=> 'A new version of the plugin',
'L_VP_NEW2_VERSION'							=> 'is available on the site dpfpic.com',
'L_VP_ERROR'								=> 'Can not see status, an error was encountered',
'L_VP_DESACTIVED'							=> 'Update has been disabled'
);
?>
