<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Licence GNU_GPL
 **/
class supercontact {

	public function __construct() {
		
	}

	/**
	 * créer un select
	 *
	 * @param	$name
	 * @param	$value
	 * @param	$select
	 * @param	$required
	 * @param	$placefolder	 
	 * @return	array()
	 * @author	DPFPIC + Sudwebdesign
	 **/
	public function selectInput($name, $value, $select, $required, $placefolder='') {
		$list = array();

		if ($required > 0) { $req = 'required'; } else { $req = ''; }
			$list = explode(',', $select);
			$result = '<select id="'.$name.'" '.$req.' name="'.$name.'">';
			$place = !!$placefolder ? $placefolder : '';
			$result .= '<option value="" selected>'.$place.'</option>';
			foreach ($list as $val1=>$title) {
				$selected = ($value == $title) ? ' selected' : '';
				$result .= '<option value="'.$title.'"'.$selected.'>'.$title.'</option>';
			}
		$result .= '</select>';
		echo $result;
	}	

	/**
	 * Verification des version des plugins
	 *
	 * @param	plugin				le nom du plugin
	 * @return	array()
	 * @author	DPFPIC + Sudwebdesign
	 **/
	public function UpdatePlugin($plugin) {
		$array = array();
		$url = 'http://dpfpic.com/plugins.rep';
		$filename = PLX_PLUGINS.$plugin.'/infos.xml';

		# Mise en place du parseur XML
		$data = implode('',file($filename));
		$parser = xml_parser_create('UTF-8');
		xml_parser_set_option($parser,XML_OPTION_CASE_FOLDING,0);
		xml_parser_set_option($parser,XML_OPTION_SKIP_WHITE,0);
		xml_parse_into_struct($parser,$data,$strings,$iTags);
		xml_parser_free($parser);
		# Récupération des données xml
		$array['actualversion'] = plxUtils::getValue($strings[$iTags['version'][0]]['value']);
		$array['actualdate'] = plxUtils::getValue($strings[$iTags['date'][0]]['value']);

		if (ini_get('allow_url_fopen')) {
			$handleplugin = @file($url);
		}
		elseif ($curl = @curl_init()){
			$timeout = 5; // set to zero for no timeout
			curl_setopt ($curl, CURLOPT_URL, $url);
			curl_setopt ($curl, CURLOPT_CONNECTTIMEOUT, $timeout);
			curl_setopt ($curl, CURLOPT_RETURNTRANSFER, 1);
			$version_content = curl_exec($curl);
			curl_close($curl);
			if ($version_content != false) {
				$handleplugin = explode("\n", $version_content);
			}
		}
		if ($handleplugin) {
			$nb = sizeof($handleplugin);
			for($i=0;$i<$nb;$i++) {
				$seach = strstr($handleplugin[$i], '||', true);
				if ($seach == $plugin) {
					$value = explode('||', $handleplugin[$i]);
					$array['newplugin'] = $value[0];
					$array['newversion'] = $value[1];
					$array['newdate'] = $value[2];
					$array['newurl'] = $value[3];
					$array['active'] = $value[4];
				}
			}
		} else {
			$array ['status'] = 0;
			return $array;
		}

		$adate = explode("/", $array['actualdate']); 
		$ndate = explode("/", $array['newdate']);
		$actualdate = $adate[2].$adate[1].$adate[0];
		$newdate = $ndate[2].$ndate[1].$ndate[0];

		if (isset($array['actualversion']) AND isset($array['active']) AND $array['active'] == 1 AND $array['newplugin'] == $plugin) {
			if ((version_compare($array['actualversion'], $array['newversion'], "=="))) {
				$array ['status'] = 1;#uptodate
				if($actualdate != $newdate) $array ['status'] = 3;#unatended
				return $array;
			} elseif ((version_compare($array['actualversion'], $array['newversion'], "!="))) {
				if(version_compare($array['actualversion'], $array['newversion'], "<=")){
					$array ['status'] = 2;
					return $array;
				}else{
					$array ['status'] = 3;#unatended
					return $array;
				}
			}
			$array ['status'] = 4;#if ($array['active'] == 0)
			return $array;
		} else {
			$array ['status'] = 0;
			return $array;
		}
	}
}