<?php
/** For php 5.3+
 * CLASS FOR send smtp mail Plugin plxSuperContact-1.1.1 for Pluxml
 * @author	SUDWEBDESIGN
 * Site : http://sudwebdesign.free.fr
 * Licence GNU_GPL
 **/

//error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
$Debugoutput = '';

class supermail {
	private $on = false;//1 ou TRUE, 0 ou FALSE
	private $debug = 0;//1 ou TRUE, 0 ou FALSE
	private $PHPMC = 5;//PHPMailer 5 or 6 #or param in settings
	private $mailer;
	private $msgsub;
	private $msgtxt;
	private $msghtm;
	private $attachs;
	private $to_address;
	private $cc_address;
	private $bcc_address;
	private $from_address;
	private $message_created = true;#gutuma

	/**
	 * Constructor
	 */
	public function __construct(){
		$this->plxMotor = plxMotor::getInstance();
		$this->plxPlugin = $this->plxMotor->plxPlugins->aPlugins['plxSuperContact'];
		if(isset($_SESSION['user']) AND isset($_SESSION['profil']))
			$this->debug = $this->plxPlugin->getParam('debug_mailer');
		if($this->debug) ob_implicit_flush(1);

		$this->PHPMC = $this->plxPlugin->getParam('use_release');
		$this->from_address['mail'] = $this->plxPlugin->getParam('email');#superContact $this->plxPlugin->getParam('admin_email');#gutuma
		$this->from_address['name'] = plxUtils::strCheck($this->plxMotor->aConf['title']);#superContact #$this->plxPlugin->getParam('admin_name');#gutuma
		$this->mailer = array();
//		$this->message_created = FALSE;#gutuma
		if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'() : #from: '.$this->from_address['mail'].' '.$this->from_address['name']));
	}

	#1 = SMTP LOG, var_dump, plxUtils::debug'=>'debug (5.4+), plxUtils::debugJs (5.7+)
	public function showDebug($obj){#call_user_func_array($function_name, array(arg1, arg2));#memo
		if(!is_numeric($this->debug))try{call_user_func_array($this->debug, array($obj));}catch(exeption $e){}
	}

	#instanciate PHPMailer legacy 5.2.x FOR PHP 5 < 5.3.0 : PHP 7 & PHPMailer-6.0.x : change '' TO new PHPMailer\PHPMailer\PHPMailer()
	public function NEWPHPMailer(){
		return ($this->PHPMC < 6) ? new PHPMailer : new PHPMailer\PHPMailer\PHPMailer;#PHP5.3- #USE PHPMailer 5 & REPLACE : new PHPMailer\PHPMailer\PHPMailer BY '' (nothing)
	}

	/**
	 * PHPMailer smtp log : legacy php 5
	 */
	public function PHPMailerLog($str, $level){
		$GLOBALS['Debugoutput'] .= "$level: $str<br />".PHP_EOL;
	}

	/**
	 * Initializes this mailer based on the specified settings or the stored transport settings
	 * @param bool $use_smtp TRUE if sender should use SMTP
	 * @param string $smtp_server The SMTP server
	 * @param int $smtp_port The SMTP port
	 * @param string $smtp_encryption The SMTP encryption type
	 * @param string $smtp_username The SMTP username
	 * @param string $smtp_password The SMTP password
	 * @param bool $use_sendmail TRUE if sender should fall back on sendmail if SMTP fails
	 * @param bool $use_phpmail TRUE if sender should fall back on phpmail if SMTP/Sendmail fails
	 * @return bool TRUE if operation was successful, else FALSE
	 */
	public function init($use_smtp = NULL, $smtp_server = NULL, $smtp_port = NULL, $smtp_encryption = NULL, $smtp_username = NULL, $smtp_password = NULL, $use_sendmail = NULL, $use_phpmail = NULL){
#		if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'() : '.$this->from_address['mail']));
		$dirname = dirname(__FILE__);
		if($this->PHPMC < 6){#PHPMailer.5.2.27 php-5.0.legacy
			require_once($dirname.'/PHPMailer-5.2-stable/PHPMailerAutoload.php');
		}else{#PHPMailer.6.0.6 : php-5.5 > 7
/*
			require_once($dirname.'/PHPMailer/PHPMailer.php');
			require_once($dirname.'/PHPMailer/Exception.php');
			require_once($dirname.'/PHPMailer/OAuth.php');
			require_once($dirname.'/PHPMailer/SMTP.php');
*/
			require_once($dirname.'/PHPMailer/PHPMailerAutoload.php');
		}

		$use_smtp = isset($use_smtp) ? $use_smtp : $this->plxPlugin->getParam('use_smtp');
		$smtp_server = isset($smtp_server) ? $smtp_server : $this->plxPlugin->getParam('smtp_server');
		$smtp_port = isset($smtp_port) ? (int)$smtp_port : (int)$this->plxPlugin->getParam('smtp_port');
		$smtp_encryption = isset($smtp_encryption) ? $smtp_encryption : $this->plxPlugin->getParam('smtp_encryption');
		$smtp_auth = !!$this->plxPlugin->getParam('smtp_auth');
		$smtp_username = isset($smtp_username) ? $smtp_username : $this->plxPlugin->getParam('smtp_username');
		$smtp_password = isset($smtp_password) ? $smtp_password : $this->plxPlugin->getParam('smtp_password');
		$use_sendmail = isset($use_sendmail) ? $use_sendmail : $this->plxPlugin->getParam('use_sendmail');
		$use_phpmail = isset($use_phpmail) ? $use_phpmail : $this->plxPlugin->getParam('use_phpmail');

		if (!($use_smtp || $use_sendmail || $use_phpmail)){
			$_SESSION['error'] = '<br />'.$this->plxPlugin->getLang('L_SC_TRANSPORT_ERROR');
			return FALSE;//gu_error('<br />'.t('No method of mail transportation has been configured'));
		}

		// Add the SMTP connection if details have been given
		if ($use_smtp) {
#			if($this->debug) $this->showDebug(array(__CLASS__.' '.__FUNCTION__.'() : '.__FILE__.' : '.__LINE__.' :::use_smtp'/*,(array)$this*/));//exit;

			//$smtp = new PHPMailer\PHPMailer();//$mail = new PHPMailer;
			$smtp = $this->NEWPHPMailer();//$mail = new PHPMailer;
			$smtp->isSMTP();
			if($this->debug){ #if(gu_is_debugging()){
				$smtp->SMTPDebug = $this->PHPMC>5?4:2;//2 max of 5.2,27, 6.x is 4
				$smtp->Debugoutput = 'html';
				#$smtp->Debugoutput = $this->PHPMailerLog($str, $level);
			}
			$smtp->Host = ($smtp_server != '') ? $smtp_server : 'localhost';#v3
			$smtp->Port = ($smtp_port > 0) ? $smtp_port : 25;#
			$smtp->SMTPAuth = $smtp_auth;#true
			switch ($smtp_encryption) {
				case 'SSL': $smtp->SMTPSecure = 'ssl';break;
				case 'TLS': $smtp->SMTPSecure = 'tls';break;
				default: $smtp->SMTPSecure = false;
			}
#			if($this->debug) $this->showDebug(array(__CLASS__.' '.__FUNCTION__.'() : '.__FILE__.' : '.__LINE__.' :::smtp',$smtp/*,$this,exit*/));
			if ($smtp_username != '' && $smtp_password != '') {
				$smtp->Username = $smtp_username;
				$smtp->Password = $smtp_password;
			}
			$this->mailer['smtp'] = $smtp;
#			if($this->debug) $this->showDebug(array(__CLASS__.' '.__FUNCTION__.'() : '.__FILE__.' : '.__LINE__.' :::Created SMTP connection',$this->mailer['smtp']));
		}

		// Add the SendMail connection option
		if ($use_sendmail){
			$mail = $this->NEWPHPMailer();
			$mail->isSendmail();
			//$mail->isSMTP();// stackoverflow.com/a/21556586
			$this->mailer['send'] = $mail;
#			if($this->debug) $this->showDebug(array(__CLASS__.' '.__FUNCTION__.'() : '.__FILE__.' : '.__LINE__.' :::Created Sendmail connection',$this->mailer['send']));
		}

		// Fall back on mail() if all else fails
		if ($use_phpmail)
			$this->mailer['mail'] = $this->NEWPHPMailer();
//Fix Fatal error: Can't use method return value in write context in old php < 5.3 (!empty($this->plxPlugin->getParam('use_dkim')) AND !empty($this->plxPlugin->getParam('dkim_domain'))
		$use_dkim = $this->plxPlugin->getParam('use_dkim');
		$dkim_domain = $this->plxPlugin->getParam('dkim_domain');
		$dkim_private = $this->plxPlugin->getParam('dkim_private');
		$this->dkim_ok = ($use_dkim AND !empty($dkim_domain) AND !empty($dkim_private));

		if($this->dkim_ok){
			$this->DKIM_domain = $this->plxPlugin->getParam('dkim_domain');#'example.com';
			$this->DKIM_private = $this->plxPlugin->getParam('dkim_private');#'/path/to/my/private.key';
			$this->DKIM_selector = $this->plxPlugin->getParam('dkim_selector');#'phpmailer';
			$this->DKIM_passphrase = $this->plxPlugin->getParam('dkim_passphrase');#'';
			$this->DKIM_extraHeaders = $this->plxPlugin->getParam('dkim_extraheaders');#'';#List-Unsubscribe,List-Help
			if(!!$this->DKIM_extraHeaders)
				$this->DKIM_extraHeaders = explode(',', $this->DKIM_extraHeaders);#to array('List-Unsubscribe', 'List-Help');
		}

		if($this->debug) $this->showDebug(array(__CLASS__.' '.__FUNCTION__.'() : '.__FILE__.' : '.__LINE__.PHP_EOL.' :::END #to: '.$this->to_address.' : '.$use_smtp.' : '.	 $smtp_server.' : '.	 $smtp_port.' : '.	 $smtp_encryption.' : '.	 $smtp_username.' : '.	 $smtp_password.' : '.	 $use_sendmail.' : '.	 $use_phpmail));
		return !!$this->mailer;//TRUE;
	}

	/**
	* Méthode d'envoi de mail
	*
	* @param	name	string 			Nom de l'expéditeur
	* @param	from	string 			Email de l'expéditeur
	* @param	to	array/string		Adresse(s) du(des) destinataires(s)
	* @param	subject	string			Objet du mail
	* @param	body	string			contenu du mail
	* @return	boolean				renvoie FAUX en cas d'erreur d'envoi
	* @author	Amaury Graillat, Thomas Ingles
	**/
#	public static function sendMail($name, $from, $to, $subject, $body, $contentType="text", $cc=false, $bcc=false)
#idea to static : if(plxUtils::sendMail($nom_expediteur,$mail,$plxPlugin->getParam('email'),$plxPlugin->getParam('subject_'.$plxPlugin->default_lang),$rajout,'text',$plxPlugin->getParam('email_cc'),$plxPlugin->getParam('email_bcc')))
#public send
	public function sendMail($name, $from ,$to, $subject, $body, $contentType="text", $cc=false, $bcc=false){
		if(!$this->on) $this->on = $this->init();
		$this->from_address['name'] = $name;
		$this->from_address['mail'] = $from;
		$this->to_address = $to;
		$this->msgsub = $subject;
		$this->msgtxt = $body;//maybe todo to only str
		$this->msghtm = $body;
		$this->ishtml = ($contentType!='text');
		$this->cc_address = $cc;
		$this->bcc_address = $bcc;
		if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'() : From: '.$this->from_address['mail'].' To: '.$this->to_address));
//		Send the message
		return ($this->send() == 1);
	}

	/** #TEP
	 * Sends a single email to the specified recipient
	 * @param string $recipient The recipient address
	 * @param string $subject The email subject
	 * @param string $text The email body
	 * @return bool TRUE if mail sent successfully, else FALSE
	 */
	public function send_mail($recipient, $subject, $text){#send test admin
		if(!$this->on) $this->on = $this->init();
		$this->msgsub = $subject;//$this->plxPlugin->getParam('subject_'.$this->plxPlugin->default_lang);
		$this->msgtxt = $text;//maybe todo to only str
		$this->msghtm = $text;
		$this->ishtml = FALSE;
		$this->to_address = $recipient;

#		$this->from_address['name'] = $this->title;
#		$this->from_address['mail'] = $this->plxPlugin->getParam('email');
#		$this->cc_address = $this->plxPlugin->getParam('email_cc');
#		$this->bcc_address = $this->plxPlugin->getParam('email_bcc');
		if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'() : From: '.$this->from_address['mail'].' To: '.$this->to_address));
//		Send the message
		return ($this->send() == 1);
	}

	/**
	 * Sends a single email to the administrator email address
	 * @param string $subject The email subject
	 * @param string $text The email body
	 * @return bool TRUE if mail sent successfully, else FALSE
	 */
	public function send_admin_mail($subject, $text){
		if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'() : '.$this->plxPlugin->getParam('admin_email')));
		return $this->send_mail($this->from_address['mail'], $subject, $text);# gutuma $this->plxPlugin->getParam('admin_email')
	}
	#good to static funk PHPMailer legacy 5.2.x FOR PHP 5 < 5.3.0 : PHP 7 & PHPMailer-6.0.x : change '' TO new PHPMailer\PHPMailer\PHPMailer
	public function itsValidAddress($address, $patternselect = null){
		return ($this->PHPMC < 6) ? PHPMailer::validateAddress($address, $patternselect) : PHPMailer\PHPMailer\PHPMailer::validateAddress($address, $patternselect);#PHP5.3- #USE PHPMailer 5 & REPLACE : PHPMailer\PHPMailer\PHPMailer... BY '' (nothing)
	}

	/**
	 * Sends a message using the PHPMailer
	 * @return int The number of messages sent successfully, else FALSE
	 */
	private function send(){
		if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'() : From: '.$this->from_address['mail']. ', To: '.$this->to_address));

		#if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'()',$this/*,exit*/));
		//~ if (gu_is_demo())
			//~ return gu_error('<br />'.t('Unable to send message in demo mode'));
		$num_sent = 0;
		$res = FALSE;

//	foreach($recipients AS $recipient){
		foreach(array_keys($this->mailer) AS  $sw){#BDM #KISS explode(' ','smtp send mail');
#			if($this->debug) $this->showDebug(array('#000####'.__CLASS__.'->'.__FUNCTION__.'() 000 : '.$sw.' : '.$this->to_address.' : '.$this->mailer[$sw]->Mailer.' : '.$this->mailer[$sw]->CharSet/*,$mailer,$this->mailer[$sw]*/));
 			#unset($mailer);
			$this->mailer[$sw]->CharSet=PLX_CHARSET;//PHPMailer::validateAddress( $address, $patternselect )
			$fromMail = ($sw=='smtp' AND $this->itsValidAddress(@$this->mailer[$sw]->Username,'noregex'))?$this->mailer[$sw]->Username:$this->from_address['mail'];#shift to smtp if U = mail 
			$this->mailer[$sw]->setFrom($fromMail,$this->from_address['name']);   //'from@example.com', 'Mailer'
			$this->mailer[$sw]->addReplyTo($this->from_address['mail'],$this->from_address['name']);//'info@example.com', 'Information'
			$this->mailer[$sw]->clearAddresses();//removeAddress($this->to_address);  // always one1 address #TO FIX

			$this->mailer[$sw]->addAddress($this->to_address);         // Name is optional
			if($this->cc_address){
				foreach(explode(',',$this->cc_address) as $cc) $this->mailer[$sw]->AddBCC(trim($cc));//("foo@gmail.com", "test")
			}
			if($this->bcc_address){
				foreach(explode(',',$this->bcc_address) as $bcc) $this->mailer[$sw]->AddCC(trim($bcc));//("something@gmail.com", "bla")
			}

#			if($this->debug) $this->showDebug(array('#111####'.__CLASS__.'->'.__FUNCTION__.'() : '.$sw.' : '.$this->to_address.' #PLX_CHARSET:'.PLX_CHARSET));
#			$this->mailer[$sw]->addCC('cc@example.com');
#			$this->mailer[$sw]->addBCC('bcc@example.com');
			if(isset($this->attachs)){
				forEach($this->attachs AS $attach){
					if($this->debug) $this->showDebug(array('#attach#'.__CLASS__.'->'.__FUNCTION__.'()',$attach));
					$this->mailer[$sw]->addAttachment($attach['path'],$attach['name']);//size?   // Optional name
				}
			}
			$this->mailer[$sw]->isHTML($this->ishtml);           // Set email format to HTML

			$this->mailer[$sw]->Subject = $this->msgsub;//'Here is the subject';
			$this->mailer[$sw]->Body    = $this->msghtm;//'This is the HTML message body <b>in bold!</b>';
			$this->mailer[$sw]->AltBody = $this->msgtxt;//'This is the body in plain text for non-HTML mail clients';
			if(!$res){
				try {
#					if($this->debug) $this->showDebug(array('#'.__CLASS__.'->'.__FUNCTION__.'() ( '.$sw.' ) #result: '.(int) $res.' : #to: '.$this->to_address,$this->mailer[$sw]->ErrorInfo/*,exit(__LINE__)*/));
#github.com/PHPMailer/PHPMailer/blob/master/examples/DKIM_sign.phps
					if($this->dkim_ok){//stackoverflow.com/a/24464694 #only in send
						$this->mailer[$sw]->DKIM_domain = $this->DKIM_domain;#'example.com';
						$this->mailer[$sw]->DKIM_private = $this->DKIM_private;#'/path/to/my/private.key';
						$this->mailer[$sw]->DKIM_selector = $this->DKIM_selector;#'phpmailer';
						$this->mailer[$sw]->DKIM_passphrase = $this->DKIM_passphrase;#'';
						$this->mailer[$sw]->DKIM_identity = $this->from_address['mail'];#only address
						//Optionally you can add extra headers for signing to meet special requirements
						if($this->DKIM_extraHeaders)
							$this->mailer[$sw]->DKIM_extraHeaders = $this->DKIM_extraHeaders;#['List-Unsubscribe', 'List-Help'];
						//Suppress listing signed header fields in signature, defaults to true for debugging purpose
						if($this->debug) $this->mailer[$sw]->DKIM_copyHeaderFields = false;
					}

					$res = $this->mailer[$sw]->send();//smtp 500 chez free ok heliohost
					//$res = $this->mailer[$sw]->postSend();

					if($this->debug) $this->showDebug(array('#aftersend# #'.__CLASS__.'->'.__FUNCTION__.'() ( '.$sw.' ) #result: '.(int) $res.' : #From: '.$this->mailer[$sw]->From.'  #errorInfo: ',$this->mailer[$sw]->ErrorInfo,$this->mailer[$sw]->Mailer,$this->mailer[$sw]->Sender));
					//exit('exit: '.__FILE__.' ligne: '.__LINE__);

					//return $res;
				}
				catch (exception $e) {
					if($this->debug) $this->showDebug(array($e->getMessage().'<br />'.$this->mailer[$sw]->ErrorInfo));
					$_SESSION['error'] = '<br />'.'Unable to send message due to connection error'.'<br />#'.$sw.'<br />'.$this->mailer[$sw]->ErrorInfo;
					return FALSE;
				}
				//$num_sent = $res?$num_sent+1:$num_sent;
				//if (gu_is_debugging()) {
					if($this->debug) $this->showDebug(array(__CLASS__ . '->'.__FUNCTION__.'(...)<br />'.nl2br(htmlspecialchars($this->mailer[$sw]->ErrorInfo)).' => '.(int) $res.'<hr />'/* .$GLOBALS['Debugoutput'] */));
				//}
			}else{//if($res)
				return (int) $res;//$num_sent;
			}
		}#hcaerof
//				$this->mailer[$sw]->clearAddresses();//removeAddress($this->to_address);  //???       // Name is optional
#				if($this->debug) $this->showDebug(array('#END '.__CLASS__.'->'.__FUNCTION__.'() : '.$sw.' : '.(int) $res.' : '.$this->to_address,$this->mailer[$sw]->Mailer,$this->mailer[$sw]->Sender/*,$this->mailer[$sw]*/));
				return (int) $res;//$num_sent;
//	}
	}
}
